import * as React from 'react';
import { Entity } from "../DatabaseServices/Entity/Entity";
import { Polyline } from "../DatabaseServices/Entity/Polyline";
import { PhysicalMaterialRecord } from "../DatabaseServices/PhysicalMaterialRecord";
import { Command } from "../Editor/CommandMachine";
export declare class ExportDataModal extends React.Component<{
    msg: string;
}, {}> {
    private removeFuncs;
    private Close;
    componentDidMount(): void;
    render(): JSX.Element;
}
export declare class Command_ExportData implements Command {
    exec(): Promise<void>;
}
export type Data = {
    Entitys: any[];
    Materials: Object[];
    Url?: string;
    Clear?: boolean;
    shopid?: string;
    uid?: string;
};
export declare function AppendUserInfo(d: Data | any): void;
export declare function Entitys2Data(ents: Iterable<Entity>): Data;
export declare function ConverMaterialData(material: PhysicalMaterialRecord): any;
export declare function ConverRoomRoof2Data(roofPolyline: Polyline): any;
export declare function ConverRoomUnderFloor2Data(roofPolyline: Polyline): any;
//# sourceMappingURL=ExportData.d.ts.map