export interface ITempTagProps {
    tagName: string;
    description: string;
    dirId: string;
}
export declare class TemplateTagCommand {
    private _tagList;
    private _needUpload;
    get TagList(): ITempTagProps[];
    private CheckTagName;
    GetTagById(tid: string): ITempTagProps;
    GetTagByName(tagName: string): ITempTagProps;
    AddTag(tagName: string, dirId: string): void;
    RemoveTag(tagName: string): void;
    UploadTagList(): Promise<void>;
    ReadTagList(tags: ITempTagProps[]): void;
    ModifyTagName(tagName: string, newName: string, desc?: string): void;
    ClearTagList(): void;
    UpdataTag(tag?: ITempTagProps): void;
}
export declare const templateTagCommand: TemplateTagCommand;
//# sourceMappingURL=TemplateTagCommand.d.ts.map