/**统一板件属性key的命名，修改值会导致无法 .xxx该属性 */
export declare enum EBoardKeyList {
    Height = "height",
    Width = "width",
    Thick = "thickness",
    RoomName = "roomName",
    CabinetName = "cabinetName",
    BrName = "brName",
    BrMat = "boardName",
    Mat = "material",
    Color = "color",
    Lines = "lines",
    ProcessGroup = "ProcessGroup",
    BigHole = "bigHoleDir",
    /**
     * 排钻类型,当没有定义每个边的排钻数据时,使用统一的排钻类型
     */
    DrillType = "drillType",
    ComposingFace = "composingFace",
    /**
     * 封边数组,定义每个边的封边信息
     */
    HighSealed = "highSealed",
    UpSealed = "sealedUp",
    DownSealed = "sealedDown",
    LeftSealed = "sealedLeft",
    RightSealed = "sealedRight",
    KnifeRad = "knifeRadius",
    SpliteHeight = "spliteHeight",
    SpliteWidth = "spliteWidth",
    SpliteThickness = "spliteThickness",
    DrawNumber = "drawNumber"
}
//# sourceMappingURL=BoardKeyList.d.ts.map