export declare enum CommandNames {
    Puge = "PUGE",
    KJLExport = "KJLEXPORT",
    KJLImport = " KJLIMPORT",
    KJLCongfig = "KJLCONFIG",
    KJLMaterialMap = "KJLMATERIALMAP",
    Clearkjltoken = "CLEARKJLTOKEN",
    JiaJuImport = "JIAJUIMPORT",
    Group = "GROUP",
    DXFImport = "DXF",
    DWGImport = "DWG",
    Insert = "INSERT",
    Line = "LINE",
    XLine = "XLINE",
    Undo = "UNDO",
    Redo = "REDO",
    RECTANG = "RECTANG",
    Polygon = "POLYGON",
    Circle = "CIRCLE",
    Ellipse = "ELLIPSE",
    Spline = "SPLINE",
    Polyline = "POLYLINE",
    Arc = "ARC",
    Reg = "REGION",
    SimplifyPolyline = "SIMPLIFYPOLYLINE",
    Scale = "SCALE",
    Convert2Polyline = "CONVERT2POLYLINE",
    Move = "MOVE",
    MoveAxis = "MOVEAXIS",
    Rotate = "ROTATE",
    RotateRefer = "ROTATEREFER",
    Revolve = "REVOLVE",
    Sphere = "SPHERE",
    SpliteTemplate = "SPLITETEMPLATE",
    SwitchCamera = "SWITCHCAMERA",
    CameraSnapshootSave = "CAMERASNAPSHOOTSAVE",
    CameraSnapshootSaveIndex = "CAMERASNAPSHOOTSAVEINDEX",
    CameraSnapshootRestore = "CAMERASNAPSHOOTRESTORE",
    Zoome = "ZOOME",
    Erase = "ERASE",
    EraseNoSelect = "ERASENOSELECT",
    Break = "BREAK",
    BreakAll = "BREAKALL",
    DragGrip = "DRAGGRIP",
    Stretch = "STRETCH",
    SelectStretch = "SELECTSTRETCH",
    ZoomObject = "ZOOMOBJECT",
    FS = "TOPVIEW",
    QS = "FRONTVIEW",
    YS = "RIGHTVIEW",
    ZS = "LEFTVIEW",
    BackView = "BACKVIEW",
    BottomView = "BOTTOMVIEW",
    Swiso = "SWISO",
    HideSelect = "HIDESELECT",
    HideUnSelect = "HIDEUNSELECT",
    Show = "SHOW",
    Save = "SAVE",
    SaveAs = "SAVEAS",
    New = "NEW",
    Open = "OPEN",
    OpenHistory = "OPENHISTORY",
    OpenHistory2 = "OPENHISTORY2",
    CustomUCS = "UCS",
    Copy = "COPY",
    SuperCopy = "SUPERCOPY",
    Reverse = "REVERSE",
    Extend = "EXTEND",
    Trim = "TRIM",
    Fillet = "FILLET",
    Offset = "OFFSET",
    PointLight = "POINTLIGHT",
    SpotLight = "SPOTLIGHT",
    SpotLight2 = "SPOTLIGHT2",
    RectLight = "RECTLIGHT",
    BatchModifyLights = "BATCHMODIFYLIGHTS",
    Divide = "DIVIDE",
    Point = "POINT",
    AlignDim = "ALGINDIMEN",
    LinearDim = "LINEARDIMEN",
    AngleDim = "ANGLEDIM",
    DimContinue = "CONTINUEDIM",
    RadiusDim = "RADIUSDIM",
    DimArc = "DIMARC",
    DiaDim = "DIAMETERDIMEN",
    HideDim = "HIDEDIM",
    ShowDim = "SHOWDIM",
    Text = "TEXT",
    Intersect = "INTERSECT",
    Union = "UNION",
    Substract = "SUBSTRACT",
    Pedit = "PEDIT",
    Join = "JOIN",
    Sweep = "SWEEP",
    Cylineder = "CYLINEDER",
    LRBoard = "LEFTRIGHTBOARD",
    TBBoard = "TOPBOTTOMBOARD",
    BehindBoard = "BEHINDBOARD",
    SelectThinBehindBoard = "SELECTTHINBEHINDBOARD",
    LayerBoard = "LAYERBOARD",
    VertialBoard = "VERTIALBOARD",
    SingleBoard = "SINGLEBOARD",
    CloseStrip = "CLOSESTRIP",
    Door = "DOOR",
    DrillConfig = "DRILLCONFIG",
    Hole = "DRAWHOLE",
    YiXing = "YIXING",
    YXLK = "YIXINGCONTOUR",
    ZXLK = "ZAOXINGCONTOUR",
    LinearCutting = "LINEARCUTTING",
    RectLinearCutting = "RECTLINEARCUTTING",
    NonAssociativeCutting = "NONASSOCIATIVECUTTING",
    ReferenceCutting = "REFERENCECUTTING",
    AddPtOnBoard = "ADDPTONBOARD",
    DeletePtOnBoard = "DELETEPTONBOARD",
    BoardFindModify = "BOARDFINDMODIFY",
    LookOverBoardInfos = "LOOKOVERBOARDINFOS",
    BoardBatchCurtail = "BOARDBATCHCURTAIL",
    AutoDimBrs = "AUTODIMBRS",
    FastDimBrs = "FASTDIMBRS",
    BreakDim = "BREAKDIM",
    DeleteDim = "DELETEDIM",
    DeleteMinDim = "DELETEMINDIM",
    RotateLayerBoard = "ROTATELAYERBOARD",
    Drawer = "DRAWER",
    DeleteHole = "DELETEHOLE",
    ReverseDrillFace = "REVERSEDRILLFACE",
    FZWL = "FZWL",
    ActicityLayerBoard = "ACTICITYLAYERBOARD",
    TestFb = "TESTFENGBIAN",
    TestModeling = "TESTMODELING",
    Mirror = "MIRROR",
    Topline = "TOPLINE",
    Winerack = "WINERACK",
    Drawwinerack = "DRAWWINERACK",
    Editorwinerack = "EDITORWINERACK",
    Lattice = "LATTICE",
    Array = "ARRAY",
    ComanPanel = "COMMANDPANEL",
    Comanp = "COMANP",
    PropertiesBar = "PROPERTIESBAR",
    ModuleBar = "MODULEBAR",
    ChangeLayout = "CHANGELAYOUT",
    RightPanelTemplateParam = "RIGHTPANELTEMPLATEPARAM",
    RightPanelScene = "RIGHTPANELSCENE",
    RightPanelMaterial = "RIGHTPANELMATERIAL",
    RightPanelModel = "RIGHTPANELMODEL",
    RightPanelModel2 = "RIGHTPANELMODEL2",
    RightPanelModel3 = "RIGHTPANELMODEL3",
    RightPanelMetals = "RIGHTPANELMETALS",
    RightPanelModule = "RIGHTPANELMODULE",
    Config = "CONFIG",
    Enablesyncdata = "ENABLESYNCDATA",
    DimStyle = "DIMSTYLE",
    TextStyle = "TEXTSTYLE",
    ToggleDrillingReactor = "TOGGLEDRILLINGREACTOR",
    Esc = "ESC",
    Wireframe = "WIREFRAME",
    Conceptual = "CONCEPTUAL",
    Physical = "PHYSICAL",
    Physical2 = "PHYSICAL2",
    PrintType = "PRINTTYPE",
    DownloadHoleOption = "DOWNHOLECONFIG",
    UploadHoleConfig = "UPLOADHOLECONFIG",
    ChaiDan = "CHAIDAN",
    ChaiDanJB = "CHAIDANJIABEI",
    ShowYouhua = "SHOWYOUHUA",
    Decompose = "DECOMPOSE",
    ChaiDanExport = "CHAIDANEXPORT",
    BatchModify = "BATCHMODIFY",
    EditDrilEdgeData = "EDITDRILEDGEDATA",
    EditSealEdgeData = "EDITSEALEDGEDATA",
    AutoHoleFaceSetting = "AUTOHOLEFACESETTING",
    Combine = "COMBINE",
    RenderModulesState = "RENDERMODULESSTATE",
    Template = "TEMPLATE",
    TemplateDesign = "TEMPLATEDESIGN",
    TemplateCollection = "TEMPLATECOLLECTION",
    TemplateSearch = "TEMPLATESEARCH",
    TemplateDelete = "TEMPLATEDELETE",
    TemplateCheck = "TEMPLATECHECK",
    RotateTemplate = "ROTATETEMP",
    Print = "PRINT",
    Extrude = "EXTRUDE",
    HoleTemplate = "HOLETEMPLATE",
    CheckModeling = "CHECKMODELING",
    ExportData = "EXPORTDATA",
    ExportView = "EXPORTVIEW",
    EnableSyncData = "ENABLESYNCDATA",
    DisableSyncData = "DISABLESYNCDATA",
    ToggleSyncData = "TOGGLESYNCDATA",
    ShowProcessingGroupModal = "SHOWPROCESSINGGROUPMODAL",
    查看加工组 = "\u67E5\u770B\u52A0\u5DE5\u7EC4",
    添加加工组 = "\u6DFB\u52A0\u52A0\u5DE5\u7EC4",
    删除加工组 = "\u5220\u9664\u52A0\u5DE5\u7EC4",
    DrawVSBOX = "DRAWVSBOX",
    Align = "ALIGN",
    BuyMaterial = "BUYMATERIAL",
    Interfere = "INTERFERE",
    ShowDoor = "SHOWDOOR",
    HideDoor = "HIDEDOOR",
    Curve2Rect = "CURVE2RECT",
    Pl2Br = "RECT2BOARD",
    Curve2VSBox = "CURVE2VSBOX",
    templateDelete = "TEMPLATEDELETE",
    SetSmoothEdge = "SETSMOOTHEDGE",
    ClearRef = "CLEARRELEVANCE",
    Clear2DModeling = "CLEAR2DMODELING",
    ExportObj = "EXPORTOBJ",
    ExportobjMtl = "EXPORTOBJMTL",
    ExportObj2 = "EXPORTOBJ2",
    ExportSTL = "EXPORTSTL",
    UpdateBoardInfos = "UPDATEBOARDINFOS",
    ToggleUI = "TOGGLEUI",
    BoardReplaceTempate = "BOARDREPLACETEMPLATE",
    Dist = "DIST",
    Length = "LENGTH",
    Explode = "EXPLODE",
    Explosion = "EXPLOSIONMAP",
    OpenCabinet = "OPENCABINET",
    CopyClip = "COPYCLIP",
    CopyBase = "COPYBASE",
    PasteClip = "PASTECLIP",
    Text2Curve = "TEXT2CURVE",
    R2b = "RECT2BOARD",
    RecyleBin = "RECYCLEBIN",
    ChangeColorByMaterial = "CHANGECOLORBYMATERIAL",
    ChangeBoardColorByPBFace = "CHANGEBOARDCOLORBYPBFACE",
    TextModifyTool = "TEXTMODIFYTOOL",
    RestoreColor = "RESTORECOLOR",
    SelectAll = "SELECTALL",
    SelectBoard = "SELBOARD",
    SelectCurve = "SELCURVE",
    SelectDim = "SELDIM",
    SelectText = "SELTEXT",
    CheckHoles = "CHECKHOLES",
    CombinatAttributeBrush = "COMBINATATTRIBUTEBRUSH",
    Rect2Winerack = "RECT2WINERACK",
    EditView = "EDITVIEW",
    EditFrame = "EDITFRAME",
    MView = "MVIEW",
    MView4 = "MVIEW4",
    MView2 = "MVIEW2",
    MView3 = "MVIEW3",
    ShowFrame = "SHOWFRAME",
    UnGroup = "UNGROUP",
    OneKeyLayout = "ONEKEYLAYOUT",
    SwitchLines = "SWITCHLINES",
    OneKeyPrint = "ONEKEYPRINT",
    SetHoleNoneType = "SETHOLENONETYPE",
    FindMaxSizeBoard = "FINDMAXSIZEBOARDS",
    FindMinSizeBoard = "FINDMINSIZEBOARDS",
    CheckNoHoleBoard = "CHECKNOHOLEBOARD",
    CheckDrawHole = "CHECKDRAWHOLE",
    FindModelKnifeRadius = "FINDMODELKNIFERADIUS",
    EditorBBS = "EDITORBBS",
    CuttingFace = "CUTTINGFACE",
    CuttingRectFace = "CUTTINGRECTFACE",
    DrawTempByImport = "DRAWTEMPBYIMPORT",
    CheckEdge = "CHECKEDGE",
    CheckPlaceFace = "CHECKPLACEFACE",
    Knife = "KNIFES",
    ModifyGroovesKnife = "MODIFYGROOVESKNIFE",
    R2B2 = "RECT2BOARD2",
    FixIntSelfContour = "FIXINTSELFCONTOUR",
    ParseHinge = "PARSEHINGE",
    ZhengWen = "ZHENGWEN",
    FanWen = "FANWEN",
    KeFanZuan = "KEFANZUAN",
    ZhengMian = "ZHENGMIAN",
    FanMian = "FANMIAN",
    SuiYiMian = "SUIYIMIAN",
    BackgroundSwitching = "BACKGROUNDSWITCHING",
    Renderer = "RENDERER",
    ShowHSPanel = "SHOWHIDESELECT",
    BatchModifyPanel = "BATCHMODIFYPANEL",
    EditorboardTemplate = "EDITORBOARDTEMPLATE",
    ParseBoardName = "PARSEBOARDNAME",
    SetBRXAxis = "SETBRXAXIS",
    ResetCustomCommand = "RESETCUSTOMCOMMAND",
    EditorLattice = "EDITORLATTICE",
    DownloadConfig = "DOWNLOADCONFIG",
    UploadConfig = "UPLOADCONFIG",
    TestM = "TESTM",
    TestFB = "TESTFB",
    Z0 = "Z0",
    M0 = "M0",
    PackageGroupMove0 = "PACKAGEGROUPMOVE0",
    ApplyMtl = "APPLYMTL",
    封边属性编辑 = "\u5C01\u8FB9\u5C5E\u6027\u7F16\u8F91",
    排钻属性编辑 = "\u6392\u94BB\u5C5E\u6027\u7F16\u8F91",
    SwitchServers = "SWITCHSERVERS",
    Replace = "\u91CD\u65B0\u653E\u7F6E\u6A21\u578B",
    Down = "DOWN",
    AxesDisable = "AXESDISABLE",
    AxesTranslate = "AXESTRANSLATE",
    AxesRotate = "AXESROTATE",
    AxesScale = "AXESSCALE",
    GizmoCSSwith = "GIZMOCSSWITH",
    DrawWall = "DRAWWALL",
    DrawWallInside = "DRAWWALLINSIDE",
    DrawRectWall = "DRAWRECTWALL",
    Curve2Wall = "CURVE2WALL",
    SetWallThick = "SETWALLTHICK",
    DrawIHole = "DRAWIHOLE",
    DrawLHole = "DRAWLHOLE",
    DrawUHole = "DRAWUHOLE",
    DrawIDoor = "DRAWIDOOR",
    DrawIWindow = "DRAWIWINDOW",
    DrawLWindow = "DRAWLWINDOW",
    DrawUWindow = "DRAWUWINDOW",
    DrawUWindow2 = "DRAWUWINDOW2",
    DrawDoorHole = "DRAWDOORHOLE",
    YZC = "YIZHICHUANG",
    LDC = "LUODICHUANG",
    PC = "PIAOCHUANG",
    ZJC = "ZHUANJIAOCHUANG",
    ZJPC = "ZHUANJIAOPIAOCHUANG",
    YJHM = "YIJIANHUAMEN",
    Gallery = "GALLERY"
}
//# sourceMappingURL=CommandNames.d.ts.map