import { CADObject } from './CADObject';
export declare enum RelevancyType {
    General = 0,
    Soft = 1,
    Hard = 2
}
export declare class ObjectId<T extends CADObject = CADObject> {
    private _Index;
    private _Object?;
    _RelevancyType: RelevancyType;
    constructor(_Index?: number, _Object?: T);
    get IsErase(): boolean;
    set Object(obj: T);
    get Object(): T | undefined;
    get Index(): number;
    set Index(index: number);
}
//# sourceMappingURL=ObjectId.d.ts.map