import { Curve } from "../../Entity/Curve";
/**
 * 1.自动合理的延伸墙体,以便保证吸附失败的时候自动吸附(当被MOVE时,我们希望修复吸附失败的问题!)
 * 可延伸的距离等于墙体的厚度
 *
 * 2.在交点处把墙体打断,以便我们分析区域
 */
export declare class RoomWallExtendAndBreak {
    _Curve2SplitCurveMap: Map<Curve, Curve[]>;
    _SplitCurve2OrgCurveMap: Map<Curve, Curve>;
    ExtendCurves: Set<Curve>;
    AloneCurves: Curve[];
    OrgCurveMapGroup: (Curve[])[];
    constructor(curves: Curve[]);
}
//# sourceMappingURL=RoomWallExtendAndBreak.d.ts.map