import * as React from 'react';
import { IUiOption } from '../../../Store/BoardInterface';
import { DoorDrawerStore } from '../../../Store/DoorDrawerStore/DoorDrawerStore';
import { IDoorConfigOption, IDrawerConfigOption } from '../../../Store/DoorInterface';
export interface IUpDownSpaceComponentProps {
    store: DoorDrawerStore;
    uiOption: IUiOption<IDoorConfigOption & IDrawerConfigOption>;
}
export declare class UpDownSpaceComponent extends React.Component<IUpDownSpaceComponentProps> {
    private isLockDown;
    isLockUp: boolean;
    componentWillMount(): void;
    render(): JSX.Element;
    private handleTBOffsetBlur;
    private handleChangePosition;
}
interface IChangeDoorOrDrawerPosition extends IUpDownSpaceComponentProps {
    isDoor: boolean;
    handleDrawerDepth(): any;
}
export declare class ChangeDoorOrDrawerPosition extends React.Component<IChangeDoorOrDrawerPosition, {}> {
    render(): JSX.Element;
    private handleChangeDoorPosType;
}
export declare class DoorDrawerRowCol extends React.Component<IUpDownSpaceComponentProps> {
    render(): JSX.Element;
    private toggleSelected;
}
export {};
//# sourceMappingURL=DoorCommon.d.ts.map