import React, { Component } from 'react';
import { ModuleData } from './ResourceInterfaces';
import './ResourceLibrary.less';
export declare const ReadImg: (file: File) => FileReader;
export default class ModuleReport extends Component<{
    isOpen?: boolean;
    CloseDialog?: Function;
    module: ModuleData;
}, {}> {
    Files: File[];
    HelperMessage: {
        topic: {
            helperText: string;
        };
        content: {
            helperText: string;
        };
        details: {
            helperText: string;
        };
    };
    ImgList: {
        url: string | any;
        key: string;
    }[];
    feedBackContent: string[];
    feedBackImgUploader: React.RefObject<HTMLInputElement>;
    submitLoading: boolean;
    GetUploadImg: (e: React.ChangeEvent<HTMLInputElement>) => Promise<void>;
    SubMitFeedBack: () => Promise<void>;
    RemoveImg: (index: number) => void;
    PushFeedBackContent: (e: React.FormEvent<HTMLInputElement>) => void;
    ValiDate: (e: React.ChangeEvent, field: string) => void;
    render(): JSX.Element;
}
//# sourceMappingURL=ModuleReport.d.ts.map