import * as React from 'react';
import { ICommandIconInfo } from "./TopToolBarInterface";
export interface ToolsBlockProps {
    blockId: string;
    list: ICommandIconInfo[];
    execFun: Function;
    btnTitile: string;
}
export declare class ToolsBlock extends React.Component<ToolsBlockProps, {}> {
    isExtendShow: boolean;
    divEl: HTMLDivElement;
    listMain: ICommandIconInfo[];
    listSmall: ICommandIconInfo[];
    windowWidth: number;
    private blocksData;
    private _DisposeAOP;
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate(): void;
    calSmallIconList: () => void;
    HandleOnClick: (cmd: string) => Promise<void>;
    display: (cmd: ICommandIconInfo) => boolean;
    renderMainList: () => JSX.Element[];
    render(): JSX.Element;
}
//# sourceMappingURL=ToolsBlock.d.ts.map