export interface ICommandIconInfo {
    svg: string;
    title: string;
    command: string;
}
export interface ToolsBlockOption {
    file: ICommandIconInfo[];
    twoD: ICommandIconInfo[];
    threeD: ICommandIconInfo[];
    brDraw: ICommandIconInfo[];
    brEdit: ICommandIconInfo[];
    dim: ICommandIconInfo[];
    light: ICommandIconInfo[];
    drill: ICommandIconInfo[];
    view: ICommandIconInfo[];
    visualStyle: ICommandIconInfo[];
    render: ICommandIconInfo[];
    produce: ICommandIconInfo[];
    module: ICommandIconInfo[];
    template: ICommandIconInfo[];
    commodity: ICommandIconInfo[];
    layout: ICommandIconInfo[];
    gallery: ICommandIconInfo[];
    roomWall: ICommandIconInfo[];
    roomHole: ICommandIconInfo[];
    roomWindow: ICommandIconInfo[];
    oneKeyDrawDoorWindow: ICommandIconInfo[];
}
export interface TopToolBarBlockDataItem {
    IconNum: number;
    blocksId: string[];
}
export interface TopToolBarBlockData {
    file: TopToolBarBlockDataItem;
    draw: TopToolBarBlockDataItem;
    temp: TopToolBarBlockDataItem;
    entity: TopToolBarBlockDataItem;
    dimension: TopToolBarBlockDataItem;
    renderAndView: TopToolBarBlockDataItem;
}
//# sourceMappingURL=TopToolBarInterface.d.ts.map