import { IModeling } from "../../../DatabaseServices/Entity/Board";
import { IConfigOption } from "../../Components/Board/UserConfigComponent";
import { IModelingItem } from "../../Components/RightPanel/ModelingComponent";
import { IUiOption } from "../BoardInterface";
import { IConfigStore } from "../BoardStore";
export declare class ModelingStore implements IConfigStore {
    configName: string;
    configsNames: string[];
    modelingItems: IModelingItem[];
    UIModelingItems: IUiOption<IModelingItem>[];
    isNotUpdateStore: boolean;
    constructor();
    InitModelingItems(): void;
    ChangeModelingValue(index: number, data: IModeling): void;
    InitOption(): void;
    SaveConfig(): IConfigOption<import("../BoardInterface").AnyObject>;
    UpdateOption(cof: IConfigOption): void;
}
//# sourceMappingURL=ModelingStore.d.ts.map