import { Command } from "../Editor/CommandMachine";
import { PromptPointResult } from "../Editor/PromptResult";
import { Board } from "../DatabaseServices/Entity/Board";
import { Polyline } from "../DatabaseServices/Entity/Polyline";
declare abstract class PtOnBoard implements Command {
    prompt: string;
    exec(): Promise<void>;
    abstract operation(br: Board, ptRes: PromptPointResult): Polyline;
}
export declare class AddPtOnBoard extends PtOnBoard {
    prompt: string;
    operation(br: Board, ptRes: PromptPointResult): Polyline;
}
export declare class DeletePtOnBoard extends PtOnBoard {
    prompt: string;
    operation(br: Board, ptRes: PromptPointResult): Polyline;
}
export {};
//# sourceMappingURL=AddPtOnBoard.d.ts.map