import { CADFiler } from "../../DatabaseServices/CADFiler";
import { ISerialize } from "../../DatabaseServices/ISerialize";
import { IDimStyleOption } from "../../UI/Store/BoardInterface";
import { IConfigStore } from "../../UI/Store/BoardStore";
export declare class DimStyleStore implements IConfigStore, ISerialize {
    configName: string;
    m_Option: IDimStyleOption;
    configsNames: string[];
    InitOption(): void;
    SaveConfig(): any;
    UpdateOption(confData: any[] | any): void;
    private static _SingleInstance;
    static GetInstance(): DimStyleStore;
    ReadFile: (file: CADFiler) => void;
    WriteFile(file?: CADFiler): any[];
}
export declare const dimStyleStore: DimStyleStore;
//# sourceMappingURL=DimStyleStore.d.ts.map