export declare enum Intent {
    NONE = "none",
    PRIMARY = "primary",
    SUCCESS = "success",
    WARNING = "warning",
    DANGER = "danger"
}
export interface IToasterOption {
    message: string | string[];
    timeout: number;
    intent: Intent;
    key?: string;
}
type ToasterFunction = (option: IToasterOption) => void;
export declare const ToasterInjectFunctions: ToasterFunction[];
export declare function Toaster(option: IToasterOption): void;
interface IToasterShowEntityErrorOption {
    intent: Intent;
    msg: string;
    timeout: number;
    ent: any;
}
export declare const ToasterShowEntityMsgInjectFunctions: ((option: IToasterShowEntityErrorOption) => void)[];
export declare function ToasterShowEntityMsg(option: {
    intent: Intent;
    msg: string;
    timeout: number;
    ent: any;
}): void;
export {};
//# sourceMappingURL=Toaster.d.ts.map