import { CADFiler } from "../../CADFiler";
import { CADObject } from "../../CADObject";
import { ObjectId } from "../../ObjectId";
import { RoomHolePolyline } from "../../Room/Entity/Wall/Hole/RoomHolePolyline";
import { TemplateRecord } from "../TemplateRecord";
export declare class TemplateWindowRecord extends TemplateRecord {
    HoleObjectId: ObjectId<RoomHolePolyline>;
    CTSId: ObjectId;
    LeftIsWall: boolean;
    RightIsWall: boolean;
    WindowLogo: string;
    LeftWindowLogo: string;
    RightWindowLogo: string;
    LeftWindowTemplateId: string;
    RightWindowTemplateId: string;
    constructor();
    InitHoleParams(): this;
    set WpDist(v: number[]);
    get WpDists(): number[];
    protected Update(): Promise<void>;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
    ApplyPartialUndo(undoData: CADObject): void;
}
//# sourceMappingURL=TemplateWindowRecord.d.ts.map