/**
 * 临时编辑器,类似ACAD的块编辑器.
 */
export declare class TempEditor {
    private constructor();
    private static _EditorIng;
    private static editorScene;
    private static viewerScene;
    private static hmIndex;
    private static light;
    static get EditorIng(): boolean;
    /**
     * 开始进入临时编辑模式.
     * 将记录当前命令位置,并且禁止往后撤销.
     * 将Viewer.Scene切换成this.editorScene(临时场景)
     */
    static Start(): void;
    /**
     * 结束临时编辑状态
     * 请提取所需的数据后调用这个.(因为期间造成的编辑记录将被还原.)
     * Viewer.Scene还原
     * 历史记录将还原和移除
     */
    static End(): void;
}
//# sourceMappingURL=TempEditor.d.ts.map