/**
 * 场景的渲染类型.
 */
export declare enum RenderType {
    /**
     * 线框模式
     */
    Wireframe = 1,
    /**
     * 概念
     */
    Conceptual = 2,
    /**
     * 物理着色PBR
     */
    Physical = 3,
    Jig = 4,
    Print = 5,
    /**物理带线框 */
    Physical2 = 6,
    Edge = 7,
    PlaceFace = 8,
    /******************************************** 在视口时的渲染模式 */
    /**
    * 线框模式
    */
    WireframePrint = 101,
    /**
     * 概念
     */
    ConceptualPrint = 102,
    /**
     * 物理着色PBR
     */
    PhysicalPrint = 103,
    JigPrint = 104,
    PrintPrint = 105,
    /**真实带线框 */
    Physical2Print = 106
}
export declare function IsPhysical(renderType: RenderType): boolean;
//# sourceMappingURL=RenderType.d.ts.map