import { IObservableValue } from 'mobx';
import * as React from 'react';
import { IDrawerDoorTempInfo, ISelectTempInfo } from '../../Store/DoorInterface';
import { ITemplateParam } from "../../Store/RightPanelStore/ITemplateParam";
import { TempalteEditorStore } from '../../Store/TemplateEditorStore';
import { IDirectoryProps } from '../SourceManage/CommonPanel';
import { IGetRoomInfo } from './GetRoomCabName';
export interface ITemplateListProps {
    deleteFun?: (temp: {
        module_id: any;
    }) => void;
    dataList?: any[];
    select?: (e: React.FormEvent<HTMLInputElement>, data: any) => void;
    getData?: () => void;
    /**当前的模板ui参数 */
    currentProps: ITemplateParam[];
    isRename?: IObservableValue<boolean>;
    /**当前点选的模板信息 */
    currentInfo: IDrawerDoorTempInfo;
    editor?: () => void;
    /**禁止删除模板 */
    forbidDelete?: boolean;
    /**隐藏选择checkbox */
    hideSelectBox?: boolean;
    /**选择的模板信息 */
    selectInfo?: ISelectTempInfo;
    currentDir?: IDirectoryProps;
    cabOption?: IGetRoomInfo;
    selectIds?: Set<string>;
    showInfos?: boolean;
    insert?: (bool: boolean) => void;
    searchStr?: string;
    searchDir?: boolean;
    isShowDetail?: boolean;
    isFromResource?: boolean;
}
export interface ITempItemBack {
    diy_logo: string;
    module_id: string;
    props: string;
    name: string;
    logo: string;
    dir_id: string;
    path: string;
    pathNum: number[];
    sn?: string;
    source?: string;
}
export declare class TemplateList extends React.Component<ITemplateListProps> {
    private _params;
    private watchDir;
    openResourceTree: IObservableValue<boolean>;
    store: TempalteEditorStore;
    UNSAFE_componentWillMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private handleMounseDown;
    private showContextMenu;
    private handleResourceTreeNodeclick;
    private copyid;
    private uploadCover;
    private undoCover;
    private publishTemplate;
    private handleDbclick;
    private openDir;
}
//# sourceMappingURL=TemplateList.d.ts.map