import React, { Component, RefObject } from 'react';
import { Folder, ModuleData } from './ResourceInterfaces';
import ResourceStore from './RsourceStore';
export default class Resource_ResourceList extends Component<{}, {}> {
    resourceStore: ResourceStore;
    /**
     * @param key 参数的参数id
     * @param {HTMLSelectElement} filter 筛选选项
     */
    HandleFilterChange: (key: string, filter: React.FormEvent<HTMLInputElement> | React.FormEvent<HTMLSelectElement>) => Promise<void>;
    HandlePageChange: (page: number) => Promise<void>;
    render(): JSX.Element;
}
/**
 *
 * @param props
 * @returns
 * @description 分页组件
 */
export declare function R_Pagination(props: {
    currentPage: number;
    totalPage: number;
    HandlePageChange?: any;
}): JSX.Element;
export declare const RenderBackGroundImg: (logo: string, size?: string) => any;
export declare const GetCssObj: (logo: string, size?: string) => React.CSSProperties;
export declare const RenderDetailImg: (logo: string, size?: string) => JSX.Element;
export declare class ResourceItem extends Component<{
    module: ModuleData;
}, {}> {
    isOpenFeedBackDialog: boolean;
    resourceStore: ResourceStore;
    collectRef: RefObject<HTMLDivElement>;
    isShowContextMenu: boolean;
    Collect: (e: React.MouseEvent, module: ModuleData, folder: Folder) => Promise<void>;
    CloseDialog: () => void;
    ShowContextMenu: (e: React.MouseEvent<HTMLDivElement>, module: ModuleData) => Promise<void>;
    render(): JSX.Element;
}
//# sourceMappingURL=Resource_ResourceList.d.ts.map